Events
Things that happened in your account.
https://sandbox-api.mysubbyapp.com/v1
GET
/eventsList events
Events from the last 30 days, newest first.
Not meteredwebhooks:read
Request example
curl --request GET \
--url 'https://sandbox-api.mysubbyapp.com/v1/events' \
--header 'Authorization: Bearer sk_test_YOUR_SECRET_KEY'Parameters
limitquery · integer starting_afterquery · string ending_beforequery · string typequery · string Exact type or wildcard such as `subscription.*`.
created[gte]query · string created[lte]query · string Responses
200 Events.
{
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"const": true
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"example": "evt_3Lk9qPz1Tx"
},
"object": {
"const": "event"
},
"type": {
"type": "string"
},
"api_version": {
"type": "string"
},
"livemode": {
"type": "boolean"
},
"created_at": {
"type": "string",
"format": "date-time"
},
"data": {
"type": "object",
"properties": {
"object": {
"type": "object",
"additionalProperties": true
},
"previous_attributes": {
"type": "object",
"additionalProperties": true
}
}
}
}
}
},
"meta": {
"type": "object",
"required": [
"has_more",
"limit"
],
"properties": {
"has_more": {
"type": "boolean"
},
"next_cursor": {
"type": [
"string",
"null"
]
},
"limit": {
"type": "integer"
}
}
}
}
}
}
}GET
/events/{id}Retrieve an event
Not meteredwebhooks:read
Request example
curl --request GET \
--url 'https://sandbox-api.mysubbyapp.com/v1/events/{id}' \
--header 'Authorization: Bearer sk_test_YOUR_SECRET_KEY'Parameters
idpath · string · requiredResponses
200 The event.
{
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"const": true
},
"data": {
"type": "object",
"properties": {
"id": {
"type": "string",
"example": "evt_3Lk9qPz1Tx"
},
"object": {
"const": "event"
},
"type": {
"type": "string"
},
"api_version": {
"type": "string"
},
"livemode": {
"type": "boolean"
},
"created_at": {
"type": "string",
"format": "date-time"
},
"data": {
"type": "object",
"properties": {
"object": {
"type": "object",
"additionalProperties": true
},
"previous_attributes": {
"type": "object",
"additionalProperties": true
}
}
}
}
}
}
}
}
}404 Object or route not found in this environment.
{
"application/json": {
"schema": {
"type": "object",
"required": [
"success",
"error"
],
"properties": {
"success": {
"const": false
},
"error": {
"type": "object",
"required": [
"type",
"code",
"message",
"request_id"
],
"properties": {
"type": {
"type": "string",
"enum": [
"authentication_error",
"permission_error",
"invalid_request_error",
"state_error",
"idempotency_error",
"rate_limit_error",
"api_error"
]
},
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"request_id": {
"type": "string"
},
"doc_url": {
"type": "string",
"format": "uri"
}
}
}
}
}
}
}